@using Toyota.Common.Credential;

<!DOCTYPE html>
<html>
<head>
    <title>@ViewBag.Title</title>
        <script type="text/javascript" src="@Url.Content("~/Scripts/Core/jquery.js")"></script>
        <script type="text/javascript" src="@Url.Content("~/Scripts/Core/jquery-ui.js")"></script>
        <script type="text/javascript" src="@Url.Content("~/Scripts/Core/jquery.fileDownload.js")"></script>  
        
        <link rel="stylesheet" href="@Url.Content("~/Content/Layout/Style/tdk-ui-style.css")"/>        
        <link rel="stylesheet" href="@Url.Content("~/Content/Layout/Style/tdk-ui-template-standard.css")"/>        
        <link rel="stylesheet" href="@Url.Content("~/Content/Layout/Style/tdk-ui-webdesk-menubar.css")"/>
        <link rel="stylesheet" href="@Url.Content("~/Content/Layout/Style/tdk-ui-webdesk-menubar-theme.css")"/>
        <script type="text/javascript" src="@Url.Content("~/Scripts/Layout/tdk-ui-webdesk-menubar.js")"></script> 

        <link rel="stylesheet" href="@Url.Content("~/Content/Layout/Style/tdk-ui-screen-message-displayer.css")"/>       
        <script type="text/javascript" src="@Url.Content("~/Scripts/Layout/tdk-ui-screen-message-displayer.js")"></script>
        
        @Html.DevExpress().GetStyleSheets( 
            new StyleSheet { ExtensionSuite = ExtensionSuite.NavigationAndLayout }, 
            new StyleSheet { ExtensionSuite = ExtensionSuite.Editors }, 
            new StyleSheet { ExtensionSuite = ExtensionSuite.HtmlEditor }, 
            new StyleSheet { ExtensionSuite = ExtensionSuite.GridView }, 
            new StyleSheet { ExtensionSuite = ExtensionSuite.PivotGrid },
            new StyleSheet { ExtensionSuite = ExtensionSuite.Chart },
            new StyleSheet { ExtensionSuite = ExtensionSuite.Report },
               new StyleSheet { ExtensionSuite = ExtensionSuite.Scheduler },
               new StyleSheet { ExtensionSuite = ExtensionSuite.TreeList }
        )
        @Html.DevExpress().GetScripts( 
            new Script { ExtensionSuite = ExtensionSuite.NavigationAndLayout }, 
            new Script { ExtensionSuite = ExtensionSuite.HtmlEditor }, 
            new Script { ExtensionSuite = ExtensionSuite.GridView }, 
            new Script { ExtensionSuite = ExtensionSuite.PivotGrid },
            new Script { ExtensionSuite = ExtensionSuite.Editors }, 
            new Script { ExtensionSuite = ExtensionSuite.Chart },
            new Script { ExtensionSuite = ExtensionSuite.Report },
               new Script { ExtensionSuite = ExtensionSuite.Scheduler },
               new Script { ExtensionSuite = ExtensionSuite.TreeList }
        )
    <style>
        .navitem.content{
            width:100%

        }
    </style>
</head>

<body>
    <!-- Menubar -->
    <div id="menubar">

        <ul id="navigation-list">
        @Html.Partial("~/Views/Shared/_partialmenu.cshtml")
         
            @* 
            remks agi 2016-04-29
            tidak digunakan menu tdk karena problem session AuthorizedMenu--move to db spex
            @{
                MenuList menuList = Html.Toyota().Page.AuthorizedMenu;
                if((menuList != null)) 
                {
                    foreach(Menu menu in menuList) 
                    {
                        if(menu.HasChildren()) 
                        {
                            @: <li>
                                    @menu.Text
                                    @: <ul>
                                    foreach(Menu submenu in menu.Children) 
                                    {
                                        if(submenu.HasChildren()) 
                                        {
                                            @:<li>
                                                    @submenu.Text
                                                    @: <ul>
                                                    foreach(Menu subsubmenu in submenu.Children) 
                                                    {
                                                         @: <li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-23.png")"/><a href="@subsubmenu.NavigateUrl">@subsubmenu.Text</a></li>
                                                    }    
                                                    @: </ul>
                                            @:</li>
                                        }
                                        else
                                        {
                                            @: <li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-23.png")"/><a href="@submenu.NavigateUrl">@submenu.Text</a></li>
                                        }
                                    }    
                                    @: </ul>
                            @: </li>
                        }
                        else
                        {
                            @: <li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-5.png")"/><a href="@menu.NavigateUrl">@menu.Text</a></li>
                        }
                    }
                }
            }*@
        </ul>

        <ul id="action-list">
           <li>
            @*<li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-2.png")"/><a href="http://www.google.com">Action 2</a></li>
            <li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-3.png")"/><a href="http://www.google.com">Action 3</a></li>
            <li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-4.png")"/><a href="http://www.google.com">Action 4</a></li>
            <li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-5.png")"/><a href="http://www.google.com">Action 5</a></li>
            <li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-6.png")"/><a href="http://www.google.com">Action 6</a></li>
            <li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-7.png")"/><a href="http://www.google.com">Action 7</a></li>
            <li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-8.png")"/><a href="http://www.google.com">Action 8</a></li>
            <li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-9.png")"/><a href="http://www.google.com">Action 9</a></li>
            <li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-10.png")"/><a href="http://www.google.com">Action 10</a>*@
            </li>
        </ul>
    </div>
    <!-- Isi Halaman -->
    <div id="main" class="tdk-ui-template-standard">
        @RenderBody()        
    </div>

    <!-- Message displayer -->
    <div id="message-displayer">
        <ul>     
            <li class="info"><div id="linkLog"></div></li>
            @*<li class="info">Message</li>
            <li class="info">
              @Html.DevExpress().Label(hsettings =>
                    {
                        hsettings.Name = "pIDLink";
                        //hsettings.Width = 2;
                    }).GetHtml()
            </li>*@
            
        </ul>
    </div>   

    
    <script type="text/javascript">
        //added by fid.kevin - 10-03-2014
        var Username = "Unknown User";
        var Description = {
            Name: "Unknown User"
        };

        @{
            if (Html.Toyota().Page.User != null)
            {
                User user = Html.Toyota().Page.User;
                ViewBag.UserId = user.Name;
                ViewContext.Writer.WriteLine(
                    "Username = \"" + user.Username + "\""
                );
                ViewContext.Writer.WriteLine(
                    "Description = { " +
                    "   Name: \"" + user.Name + "\"" +
                    " }"
                );
                ViewData["User"] = user;
            }
        }

        $("#menubar").tdkWebdeskMenubar({
            Title: "@ViewBag.Title",
            ImageBaseUrl: "@Url.Content("~/Content/Layout/Image")",
            UserPicture: "user-picture.jpg",
            UserName: Username,
            UserDescription: Description
        });
        $("#message-displayer").tdkScreenMessageDisplayer({
            ImageBaseUrl: "@Url.Content("~/Content/Layout/Image")"
        });

        $("#message-displayer").hide();

        @*var sessionTimeoutWarning = @Session.Timeout - 0;

        var sTimeout = parseInt(sessionTimeoutWarning) * 60 * 1000;
        setTimeout('SessionEnd()', sTimeout);

        function SessionEnd() {
            window.location = "/Spex/Login";
        }*@
    </script> 
</body>
</html>